from docx import Document
import argparse

def combine_word_documents(files, output_file):
    merged_document = Document()

    for index, file in enumerate(files):
        sub_doc = Document(file)

        if index < len(files) - 1:
            sub_doc.add_page_break()

        for element in sub_doc.element.body:
            merged_document.element.body.append(element)

    merged_document.save(output_file)

def main(args=None):
    parser = argparse.ArgumentParser(
        description="Combine multiple Word documents into one.")
    parser.add_argument(
        '--inputFiles', dest='input_files', nargs='+', required=True,
        help="List of input Word document files."
    )
    parser.add_argument(
        "--outputFile", dest="output_file", type=str, required=True,
        help="Path to the output Word document."
    )
    parsed_args = parser.parse_args(args)  # Parse specific handler arguments

    combine_word_documents(parsed_args.input_files, parsed_args.output_file)
