import argparse
import pikepdf

def merge_pdf(input_files, output_file):
    merged_pdf = pikepdf.new()
    for file in input_files:
        pdf = pikepdf.open(file)
        for page in pdf.pages:
            merged_pdf.pages.append(page)
        pdf.close()
    merged_pdf.save(output_file)


def main(args=None):
    parser = argparse.ArgumentParser(
        description="Merge a PDF into a single PDF.")
    parser.add_argument(
        '--inputFiles', dest='input_files', nargs='+', required=True,
        help="List of input pdf document files."
    )
    parser.add_argument("--outputFile", dest="output_file", type=str,
                        default=".", help="Output file path for the merged PDF.")
    parsed_args = parser.parse_args(args)

    merge_pdf(parsed_args.input_files, parsed_args.output_file)
