"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateFilesExist = exports.findMatchingFiles = void 0;
const fast_glob_1 = __importDefault(require("fast-glob"));
const path_1 = __importDefault(require("path"));
const fs_1 = __importDefault(require("fs"));
function findMatchingFiles(patterns) {
    // Check if the pattern is absolute, and resolve it if not
    const resolvedPattern = patterns.map((pattern) => path_1.default.isAbsolute(pattern) ? pattern : path_1.default.resolve(pattern));
    const files = fast_glob_1.default.sync(resolvedPattern);
    return files;
}
exports.findMatchingFiles = findMatchingFiles;
function validateFilesExist(fileOrFiles) {
    const files = Array.isArray(fileOrFiles) ? fileOrFiles : [fileOrFiles];
    files.forEach((file) => {
        if (!fs_1.default.existsSync(file)) {
            throw new Error(`File not found: ${file}`);
        }
    });
}
exports.validateFilesExist = validateFilesExist;
